## ros-kinetic-roomblock-bringup 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roomblock_bringup)

find_package(catkin REQUIRED)

###################################
## catkin specific configuration ##
###################################
catkin_package()

#############
## Install ##
#############

install(DIRECTORY config launch scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest roslaunch)
  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    message(status "Testing ${LAUNCH_FILE}")
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()
endif()

=== debian/changelog ===
ros-kinetic-roomblock-bringup (0.0.2-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Ryosuke Tajima <ryosuke.tajima@opensource-robotics.tokyo.jp>  Tue, 09 May 2017 02:38:44 -0000

ros-kinetic-roomblock-bringup (0.0.1-0xenial) xenial; urgency=high

  * Add remote operation setting for gmapping launch
  * Change operation mode from full to safe
  * cleanup package.xml/CMakeLists.txt, update run_depends with roslaunch_add_file_check
  * Add launch_rviz to teleop_joy launch
  * Add raspi camera module launch
  * Modify device install scripts
  * Append package dependencies
  * Add xbox joypad config and make it default
  * Add scripts for udev.rules
  * Add joypad teleop launch file and config file
    - We need config file for joypads we usually use
  * Add doc/ and README.md
  * Insert robot_pose_ekf to publish odom frame
  * Fix rviz launch arg
  * Fix rviz launch arg
  * Organize roomblock_bringup launch files
    - change controller from "roomblock" to "roomba"
  * delete unused launch file
  * Merge branch 'master' of https://github.com/longjie/roomblock
  * Change the way to launch rplidar_ros
  * Merge branch 'master' of https://github.com/longjie/roomblock
    Conflicts:
    roomblock_description/urdf/roomba500.urdf.xacro
  * Change to run amcl
  * Change device name to use symlink
  * Add roomblock_bringup
  * Contributors: Ryosuke Tajima, Tokyo Opensource Robotics Developer 534

 -- Ryosuke Tajima <ryosuke.tajima@opensource-robotics.tokyo.jp>  Wed, 12 Apr 2017 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-roomblock-bringup
Section: misc
Priority: extra
Maintainer: Ryosuke Tajima <ryosuke.tajima@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch, ros-kinetic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-roomblock-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-serial, ros-kinetic-controller-manager, ros-kinetic-create-node, ros-kinetic-image-transport, ros-kinetic-joy, ros-kinetic-robot-pose-ekf, ros-kinetic-robot-state-publisher, ros-kinetic-roomblock-description, ros-kinetic-rplidar-ros, ros-kinetic-rviz, ros-kinetic-teleop-twist-joy
Description: The roomblock_bringup package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-roomblock-bringup//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
